Skip to main content
PUT
Bulk update records
Each record requires a recordId (a valid UUID). All other keys are treated as field updates, using field names or field IDs as keys. Only include the fields you want to change.

Authorizations

Authorization
string
header
required

Enter your Zite API key. Format: Bearer <api_key>

Path Parameters

databaseId
string
required

The unique identifier of the database

tableId
string
required

The unique identifier of the table.

Body

application/json
records
object[]
required

The records to update. Each entry must include the recordId to update plus the fields to change (using field names or field IDs as keys).

Required array length: 1 - 100 elements
strict
boolean
default:false

Reject values the write would otherwise coerce: select values that match no option (by default they are stored without being added to the field's options) and unparseable numbers (stored as empty by default).

Response

Records updated successfully

success
boolean
required

Whether the bulk operation succeeded.

records
object[]
required

The created, upserted, or updated records.

attachmentErrors
object[]

Present when one or more attachment URLs could not be stored.

attachmentErrorsTruncated
boolean

Set to true only when more URLs failed than attachmentErrors lists.